{% extends 'base.html.twig' %}

{% block title %}Profil{% endblock %}

{% block body %}
<main class="d-flex align-items-center flex-column">
    <div id="informations" class="card col-lg-3 col-md-3 col-sm-12 col-xs-12 bgTea my-3">
        <div class="card-body">
            <h5 class="card-title">Mes informations</h5>
            <div class="card-text">
                <span>Nom:</span>
                <div>{{ user.nom }}</div>
                <span>Prénom:</span>
                <div>{{ user.prenom }}</div>
                <span>Date de naissance:</span>
                <div>{{ user.datedenaissance|date("d/m/Y") }}</div>
                <span>Mail:</span>
                <div>{{ user.email }}</div>
            </div>
            <a href="{{ path('app_user_edit', {"id": user.id}) }}" class="btn bgGreen txtWhite">Modifier</a>
        </div>
    </div>
    <div id="imc" class="card col-lg-3 col-md-3 col-sm-12 col-xs-12 bgTea my-3">
        <div class="card-body">
            <h5 class="card-title">Calcul de l’indice de masse corporelle</h5>
            <label>Poids (en kg):</label>
            <input id="poids" class="form-control">
            <label>Taille (en m):</label>
            <input id="taille" class="form-control">
            <a id="calcul" class="btn bgGreen txtWhite my-3">Calcul</a>
            <label>Votre IMC (en kg/m²):</label>
            <div class="fw-bolder" id="imcResult"></div>
            <label>Commentaires:</label>
            <div class="fw-bolder" id="comm"></div>
        </div>
    </div>
    <div id="bc" class="card col-lg-3 col-md-3 col-sm-12 col-xs-12 bgTea my-3">
        <div class="card-body">
            <h5 class="card-title">Calcul du nombres de calories (kcal) par jour</h5>
            <div>
                <label>Poids (en kg):</label>
                <div class="fw-bolder" id="poids2"></div>
                <label>Taille (en m):</label>
                <div class="fw-bolder" id="taille2"></div>
                <label>Age (en années):</label>
                <div class="fw-bolder" id="ageIn"></div>
                <a id="calcul2" class="btn bgGreen txtWhite my-3">Calcul</a>
                <label>Besoin journalier de calories au repos(en kcal)</label>
                <div class="fw-bolder" id="kcalreposH"></div>
            </div>
            <div class="d-flex flex-column">
                <span>Nombres d’entrainement par semaine:</span>
                <input type="radio" class="form-check-input" id="1" value="1.2" name="entrainement">
                <label for="1">1&lt;</label> <input type="radio" class="form-check-input" id="2" value="1.375"
                        name="entrainement">
                        <label for="2">1 à 3</label>
                        <input type="radio" class="form-check-input" id="3" value="1.55" name="entrainement">
                        <label for="3">4 à 6</label>
                        <input type="radio" class="form-check-input" id="4" value="1.725" name="entrainement">
                        <label for="4">>6</label>
                        <a id="calcul3" class="btn bgGreen txtWhite my-3 wfc">Calcul</a>
                        <div>Vos besoins caloriques selon votre activité (en Kcal/jour) :</div>
                        <div id="resutbKh" class="fw-bolder"></div>
            </div>
        </div>
        <form method="POST" action="{{ path('app_archive_save')}}">
            <input id="daT" name="daT" class="d-none">
            <input id="poI" name="poI" class="d-none">
            <input id="taI" name="taI" class="d-none">
            <input id="imC" name="imC" class="d-none" >
            <input id="mbR" name="mbR" class="d-none">
            <input id="mbA" name="mbA" class="d-none">
            <input id="coM" name="coM" class="d-none">
            <button type="submit" class="btn bgGreen txtWhite my-3">Sauvegarder</button>
        </form>
    </div>
    <div id="results" class="card col-lg-8 col-md-3 col-sm-12 col-xs-12 bgTea my-3">
        <div class="card-body">
            <h5 class="card-title">Historique</h5>
            <table class="table">
                <thead>
                    <tr>
                        <th scope="col">Date</th>
                        <th scope="col">Poids</th>
                        <th scope="col">Taille</th>
                        <th scope="col">IMC</th>
                        <th scope="col" class="hide">MetaBaseRepos</th>
                        <th scope="col" class="hide">MetaBaseActif</th>
                        <th scope="col" class="hide">Commentaires</th>
                    </tr>
                </thead>
                <tbody>
                    {% for archive in archives %}
                    <tr>
                        <td>{{ archive.date|date(" d / m / Y ") }}</td>

                        <td>{{ archive.poids }}</td>

                        <td>{{ archive.taille }}</td>

                        <td>{{ archive.imc }}</td>

                        <td class="hide">{{ archive.metaBaseRepos }}</td>

                        <td class="hide">{{ archive.metaBaseActif }}</td>

                        <td class="hide">{{ archive.commentaires }}</td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>

        </div>
    </div>
    <script>
        today = Date();

        function getAge(date) {
            var diff = Date.now() - date.getTime();
            var age = new Date(diff);

            return Math.abs(age.getUTCFullYear() - 1970);
        }
        var Age1 = (getAge(new Date("{{ user.datedenaissance|date("m / d / Y ") }}")));

        function write() {
            var agee = document.getElementById('ageIn');
            agee.innerHTML = Age1;
        }
        write()

        let sexe = "{{ user.sexe }}"

        var d = document.getElementById('daT');
        var p = document.getElementById('poI');
        var t = document.getElementById('taI');
        var im = document.getElementById('imC');
        var mR = document.getElementById('mbR');
        var mA = document.getElementById('mbA');


        d.value = today;
    </script>
</main>
{% endblock %}